/*NOA BUTTON STYLES CSS*/


/*=====================
01. NOA BUTTON STYLE 1 CSS
02. NOA BUTTON STYLE 2 CSS
03. NOA BUTTON STYLE 3 CSS
04. NOA BUTTON STYLE 4 CSS
05. NOA BUTTON STYLE 5 CSS
06. NOA BUTTON STYLE 6 CSS
07. NOA BUTTON STYLE 7 CSS
08. NOA BUTTON STYLE 8 CSS
09. NOA BUTTON STYLE 9 CSS
10. NOA BUTTON STYLE 10 CSS
11. NOA BUTTON STYLE 11 CSS
12. NOA BUTTON STYLE 12 CSS
13. NOA BUTTON STYLE 13 CSS
14. NOA BUTTON STYLE 14 CSS
15. NOA BUTTON STYLE 15 CSS
=======================*/


/*=====================
01. NOA BUTTON STYLE 1 CSS
=======================*/

.btn-style-one {
    position: relative;
    display: inline-block;
    font-size: 14px;
    line-height: 30px;
    text-align: center;
    padding: 11px 30px;
    border-radius: 3px;
    overflow: hidden;
    text-transform: capitalize;
    text-decoration: none;
    background-color: #0060ff;
    color: #ffffff;
    transition: all .3s ease;
}
.btn-style-one span {
    position: relative;
    z-index: 1;
    color: inherit;
}
.btn-style-one::before {
    position: absolute;
    content: '';
    left: 92%;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 1;
    opacity: 1;
    background-color: #132144;
    transition: all 0.4s;
    transform: skewX(-25deg);
}
.btn-style-one:hover::before {
    left: 0%;
    transform: scale(1, 1);
}
.btn-style-one:hover,
.btn-style-one:focus,
.btn-style-one:visited {
    text-decoration: none;
    outline: none;
    color: #fff;
}

/*=====================
02. NOA BUTTON STYLE 2 CSS
=======================*/

.btn-style-two {
    position: relative;
    display: inline-block;
    font-size: 14px;
    line-height: 30px;
    text-align: center;
    padding: 11px 30px;
    border-radius: 3px;
    overflow: hidden;
    text-transform: capitalize;
    text-decoration: none;
    border: 0;
    background-color: #0060ff;
    color: #ffffff;
    transition: all .3s ease;
}
.btn-style-two span {
    position: relative;
    z-index: 2;
    color: inherit;
}
.btn-style-two::before,
.btn-style-two::after {
    position: absolute;
    content: '';
    top: 0px;
    width: 5px;
    height: 100%;
    z-index: 1;
    opacity: 1;
    background-color: #132144;
    transition: all 0.4s;
}
.btn-style-two::before {
    left: 0px;
}
.btn-style-two::after {
    right: 0px;
}
.btn-style-two:hover::before,
.btn-style-two:hover::after {
    width: 50%;
}
.btn-style-two:hover,
.btn-style-two:focus,
.btn-style-two:visited {
    text-decoration: none;
    outline: none;
    color: #fff;
}

/*=====================
03. NOA BUTTON STYLE 3 CSS
=======================*/

.btn-style-three {
    position: relative;
    display: inline-block;
    font-size: 14px;
    line-height: 30px;
    text-align: center;
    padding: 11px 30px;
    border-radius: 3px;
    overflow: hidden;
    text-transform: capitalize;
    text-decoration: none;
    background-color: #0060ff;
    color: #ffffff;
    transition: all .3s ease;
}
.btn-style-three span {
    position: relative;
    z-index: 2;
    color: inherit;
}
.btn-style-three::before,
.btn-style-three::after {
    position: absolute;
    content: '';
    top: 0px;
    bottom: 0px;
    transition: all 600ms ease;
}
.btn-style-three::before {
    left: 0;
    right: -50px;
    border-bottom: 55px solid #132144;
    border-right: 30px solid transparent;
    transform: translateX(-100%);
}
.btn-style-three:hover::before {
    transform: translateX(-40%);
}
.btn-style-three::after {
    right: 0;
    left: -50px;
    border-left: 30px solid transparent;
    border-bottom: 55px solid #132144;
    transform: translateX(100%);
}
.btn-style-three:hover::after {
    transform: translateX(40%);
}
.btn-style-three:hover,
.btn-style-three:focus,
.btn-style-three:visited {
    text-decoration: none;
    outline: none;
    color: #fff;
}

/*=====================
04. NOA BUTTON STYLE 4 CSS
=======================*/

.btn-style-four {
    position: relative;
    display: inline-block;
    font-size: 14px;
    line-height: 30px;
    text-align: center;
    padding: 11px 30px;
    border-radius: 3px;
    overflow: hidden;
    text-transform: capitalize;
    text-decoration: none;
    background-color: #0060ff;
    color: #ffffff;
    transition: all .3s ease;
}
.btn-style-four span {
    position: relative;
    z-index: 2;
    color: inherit;
}
.btn-style-four::before {
    position: absolute;
    content: '';
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: -50px;
    border-bottom: 55px solid #132144;
    border-right: 30px solid transparent;
    transition: all 600ms ease;
    transform: translateX(-100%);
}
.btn-style-four:hover::before {
    transform: translateX(-30%);
}
.btn-style-four:hover,
.btn-style-four:focus,
.btn-style-four:visited {
    text-decoration: none;
    outline: none;
    color: #fff;
}

/*=====================
05. NOA BUTTON STYLE 5 CSS
=======================*/

.btn-style-five {
    position: relative;
    display: inline-block;
    font-size: 14px;
    line-height: 30px;
    text-align: center;
    padding: 11px 30px;
    border-radius: 3px;
    overflow: hidden;
    text-transform: capitalize;
    text-decoration: none;
    background-image: linear-gradient(to left, #162338 0%, #0060ff 100%);
    color: #ffffff;
    transition: all .3s ease;
}
.btn-style-five span {
    position: relative;
    z-index: 2;
    color: inherit;
}
.btn-style-five::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    opacity: 0;
    background-image: linear-gradient(to right, #162338 0%, #0060ff 100%);
    transition: all 0.4s;
    transform: scale(1, 0.2);
}
.btn-style-five:hover::before {
    opacity: 1;
    transform: scale(1, 1);
}
.btn-style-five:hover,
.btn-style-five:focus,
.btn-style-five:visited {
    text-decoration: none;
    outline: none;
    color: #fff;
}

/*=====================
06. NOA BUTTON STYLE 6 CSS
=======================*/

.btn-style-six {
    position: relative;
    display: inline-block;
    font-size: 14px;
    line-height: 30px;
    text-align: center;
    padding: 11px 30px;
    border-radius: 3px;
    overflow: hidden;
    text-transform: capitalize;
    text-decoration: none;
    background-image: linear-gradient(to bottom, #162338 0%, #0060ff 100%);
    color: #ffffff;
    transition: all .3s ease;
}
.btn-style-six span {
    position: relative;
    z-index: 2;
    color: inherit;
}
.btn-style-six::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    opacity: 0;
    background-image: linear-gradient(to top, #162338 0%, #0060ff 100%);
    transition: all 0.4s;
    transform: scale(0.2, 1);
}
.btn-style-six:hover::before {
    opacity: 1;
    transform: scale(1, 1);
}
.btn-style-six:hover,
.btn-style-six:focus,
.btn-style-six:visited {
    text-decoration: none;
    outline: none;
    color: #fff;
}

/*=====================
07. NOA BUTTON STYLE 7 CSS
=======================*/

.btn-style-seven {
    position: relative;
    display: inline-block;
    font-size: 14px;
    line-height: 30px;
    text-align: center;
    padding: 11px 30px;
    border-radius: 3px;
    overflow: hidden;
    text-transform: capitalize;
    text-decoration: none;
    background-image: linear-gradient(to left, #162338 0%, #0060ff 100%);
    color: #ffffff;
    transition: all .3s ease;
}
.btn-style-seven span {
    position: relative;
    z-index: 2;
    color: inherit;
}
.btn-style-seven::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    z-index: 1;
    opacity: 0;
    background-image: linear-gradient(to right, #162338 0%, #0060ff 100%);
    transition: all 0.4s;
}
.btn-style-seven:hover::before {
    opacity: 1;
    width: 100%;
}
.btn-style-seven:hover,
.btn-style-seven:focus,
.btn-style-seven:visited {
    text-decoration: none;
    outline: none;
    color: #fff;
}

/*=====================
08. NOA BUTTON STYLE 8 CSS
=======================*/

.btn-style-eight {
    position: relative;
    display: inline-block;
    font-size: 14px;
    line-height: 30px;
    text-align: center;
    padding: 11px 30px;
    border-radius: 3px;
    overflow: hidden;
    text-transform: capitalize;
    text-decoration: none;
    background-image: linear-gradient(to right, #162338 0%, #0060ff 100%);
    color: #ffffff;
    transition: all .3s ease;
}
.btn-style-eight span {
    position: relative;
    z-index: 2;
    color: inherit;
}
.btn-style-eight::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 0;
    height: 100%;
    z-index: 1;
    opacity: 0;
    background-image: linear-gradient(to left, #162338 0%, #0060ff 100%);
    transition: all 0.4s;
}
.btn-style-eight:hover::before {
    opacity: 1;
    width: 100%;
}
.btn-style-eight:hover,
.btn-style-eight:focus,
.btn-style-eight:visited {
    text-decoration: none;
    outline: none;
    color: #fff;
}

/*=====================
09. NOA BUTTON STYLE 9 CSS
=======================*/

.btn-style-nine {
    position: relative;
    display: inline-block;
    font-size: 14px;
    line-height: 30px;
    text-align: center;
    padding: 11px 30px;
    border-radius: 3px;
    overflow: hidden;
    text-transform: capitalize;
    text-decoration: none;
    background-color: #0060ff;
    color: #ffffff;
    transition: transform 500ms cubic-bezier(0.860, 0.000, 0.070, 1.000);
}
.btn-style-nine span {
    position: relative;
    z-index: 2;
    color: inherit;
}
.btn-style-nine::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    opacity: 0;
    background-color: #162338;
    transition: transform 500ms cubic-bezier(0.860, 0.000, 0.070, 1.000);
    transform: scale(0, 1);
}
.btn-style-nine:hover::before {
    opacity: 1;
    transform: scale(1, 1);
}
.btn-style-nine:hover,
.btn-style-nine:focus,
.btn-style-nine:visited {
    text-decoration: none;
    outline: none;
    color: #fff;
}

/*=====================
10. NOA BUTTON STYLE 10 CSS
=======================*/

.btn-style-ten-outer {
    position: relative;
    display: inline-block;
    padding: 7px;
    z-index:1;
    transition:all 600ms ease;
}
.btn-style-ten-outer::before,
.btn-style-ten-outer::after {
    position:absolute;
    content:'';
    width:20px;
    height:20px;
    z-index:-1;
    transition:all 600ms ease;
}
.btn-style-ten-outer::before {
    left:0px;
    bottom:8px;
    border-left: 2px solid #0060ff;
    border-bottom: 2px solid #0060ff;
}
.btn-style-ten-outer:hover::before {
    opacity: 0;
}
.btn-style-ten-outer::after {
    right:6px;
    top:9px;
    opacity: 0;
    border-right: 2px solid #0060ff;
    border-top: 2px solid #0060ff;
}
.btn-style-ten-outer:hover::after {
    opacity: 1;
    width: 100%;
    height: 100%;
}
.btn-style-ten-outer:hover .btn-style-ten {
    transform: translate(-7px, 10px);
}
.btn-style-ten {
    position: relative;
    display: inline-block;
    font-size: 14px;
    line-height: 30px;
    text-align: center;
    padding: 11px 30px;
    border-radius: 3px;
    overflow: hidden;
    text-transform: capitalize;
    text-decoration: none;
    background-color: #0060ff;
    color: #ffffff;
    transition: all .3s ease;
}
.btn-style-ten span {
    position: relative;
    z-index: 2;
    color: inherit;
}
.btn-style-ten::before,
.btn-style-ten::after {
    position: absolute;
    content: '';
    top: 0px;
    bottom: 0px;
    transition: all 600ms ease;
}
.btn-style-ten::before {
    left: 0;
    right: -50px;
    border-bottom: 55px solid #132144;
    border-right: 30px solid transparent;
    transform: translateX(-100%);
}
.btn-style-ten:hover::before {
    transform: translateX(-40%);
}
.btn-style-ten::after {
    right: 0;
    left: -50px;
    border-left: 30px solid transparent;
    border-bottom: 55px solid #132144;
    transform: translateX(100%);
}
.btn-style-ten:hover::after {
    transform: translateX(40%);
}
.btn-style-ten:hover,
.btn-style-ten:focus,
.btn-style-ten:visited {
    text-decoration: none;
    outline: none;
    color: #fff;
}


/*=====================
11. NOA BUTTON STYLE 11 CSS
=======================*/
.btn-style-eleven {
    position: relative;
    display: inline-block;
    font-size: 14px;
    line-height: 30px;
    text-align: center;
    padding: 11px 30px;
    border-radius: 3px;
    overflow: hidden;
    text-transform: capitalize;
    text-decoration: none;
    background-color: #ffffff;
    color: #0060ff;
    transition: all .3s ease;
}
.btn-style-eleven span {
    position: relative;
    z-index: 2;
    color: inherit;
}
.btn-style-eleven::before,
.btn-style-eleven::after {
    content: "";
    position: absolute;
    width: 15px;
    height: 100%;
    border: 1px solid #0060ff;
    transition: all 0.5s ease;
}
.btn-style-eleven::before {
    top: 0px;
    left: 0px;
    border-right: none;
}
.btn-style-eleven::after {
    top: 0px;
    right: 0px;
    border-left: none;
}
.btn-style-eleven:hover::before,
.btn-style-eleven:hover::after {
    width: 100%;
}
.btn-style-eleven:hover {
    text-decoration: none;
    background: #0060ff;
    color: #fff;
    transition-delay: 0.35s;
}

/*=====================
12. NOA BUTTON STYLE 12 CSS
=======================*/
.btn-style-twelve {
    position: relative;
    display: inline-block;
    font-size: 14px;
    line-height: 30px;
    text-align: center;
    padding: 11px 30px;
    border-radius: 3px;
    overflow: hidden;
    text-transform: capitalize;
    text-decoration: none;
    background-color: #0060ff;
    color: #ffffff;
    transition: all .3s ease;
}
.btn-style-twelve span {
    position: relative;
    z-index: 2;
    color: #ffffff;
}
.btn-style-twelve::after {
    content: '';
    position: absolute;
    top: -5%;
    left: -30%;
    width: 20px;
    height: 110%;
    opacity: 0.7;
    visibility: visible;
    background-color: #ffffff;
    transform: skewX(10deg);
    transition: all ease 0.6s;
}
.btn-style-twelve:hover::after {
    left: 120%;
    opacity: 0.3;
}
.btn-style-twelve:hover {
    text-decoration: none;
}

/*=====================
13. NOA BUTTON STYLE 13 CSS
=======================*/
.btn-style-thirteen {
    position: relative;
    display: inline-block;
    font-size: 14px;
    line-height: 30px;
    text-align: center;
    padding: 11px 30px;
    border-radius: 3px;
    overflow: hidden;
    text-transform: capitalize;
    text-decoration: none;
    background-color: #0060ff;
    border: 2px solid #0060ff;
    color: #ffffff;
    transition: all .3s ease;
}
.btn-style-thirteen span {
    position: relative;
    z-index: 2;
    color: #ffffff;
}
.btn-style-thirteen::before,
.btn-style-thirteen::after {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    z-index: 3;
    top: 0;
    left: 0;
    transform: scale(0);
    transition: 0.5s;
}
.btn-style-thirteen::before {
    border-bottom: 2px solid #fff;
    border-left: 2px solid #fff;
    transform-origin: 100% 0%;
}
.btn-style-thirteen::after {
    border-top: 2px solid #fff;
    border-right: 2px solid #fff;
    transform-origin: 0% 100%;
}
.btn-style-thirteen:hover::before,
.btn-style-thirteen:hover::after{
    box-shadow: 0 0 24px rgb(0 113 239 / 30%);
    transform: scale(1);
}
.btn-style-thirteen:hover {
    text-decoration: none;
}

/*=====================
14. NOA BUTTON STYLE 14 CSS
=======================*/
.btn-style-fourteen {
    position: relative;
    display: inline-block;
    font-size: 14px;
    line-height: 30px;
    text-align: center;
    padding: 11px 30px;
    border-radius: 3px;
    overflow: hidden;
    text-transform: capitalize;
    text-decoration: none;
    background-color: #0060ff;
    color: #ffffff;
    transition: all .3s ease;
}
.btn-style-fourteen span {
    position: relative;
    z-index: 2;
    color: #ffffff;
}
.btn-style-fourteen::before {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 10px;
    height: calc(100% - 10px);
    border-radius: 0;
    opacity: 0;
    visibility: hidden;
    z-index: 0;
    border-radius: 3px;
    background-color: #132144;
    transition: 0.3s;
}
.btn-style-fourteen:hover::before {
    opacity: 1;
    visibility: visible;
    width: calc(100% - 10px);
}
.btn-style-fourteen:hover {
    text-decoration: none;
}

/*=====================
15. NOA BUTTON STYLE 15 CSS
=======================*/
.btn-style-fifteen {
    position: relative;
    display: inline-block;
    font-size: 14px;
    line-height: 30px;
    text-align: center;
    padding: 11px 30px;
    border-radius: 3px;
    overflow: hidden;
    text-transform: capitalize;
    text-decoration: none;
    background-color: #0060ff;
    color: #ffffff;
    transition: all .3s ease;
}
.btn-style-fifteen span {
    position: relative;
    z-index: 2;
    color: #ffffff;
}
.btn-style-fifteen .btn-shape {
    display: inline-block;
    position: absolute;
    width: 25%;
    height: 100%;
    background-color: #132144;
    transform: translateY(150%);
    border-radius: 50%;
    left: calc((var(--n) - 1) * 25%);
    transition: 0.5s;
    transition-delay: calc((var(--n) - 1) * 0.1s);
    z-index: 1;
}
.btn-style-fifteen .btn-shape:nth-child(1) {
    --n: 1;
}
.btn-style-fifteen .btn-shape:nth-child(2) {
    --n: 2;
}
.btn-style-fifteen .btn-shape:nth-child(3) {
    --n: 3;
}
.btn-style-fifteen .btn-shape:nth-child(4) {
    --n: 4;
}
.btn-style-fifteen:hover .btn-shape {
    transform: translateY(0) scale(2);
}
.btn-style-fifteen:hover {
    text-decoration: none;
}